1. One-Click & Scheduled Payments
  • API Docs Colombia 🇨🇴
  • Online Payments
    • Release Notes
    • Card Payments
      • Request a card token
      • Make a charge or deferred charge
      • Create payment (tokenless)
      • Void a transaction
      • Refund a transaction
      • Request deferred options
      • Authorize payments
      • Preauthorization (tokenless)
      • Reauthorize payments
      • Capture an authorized payment
      • Verify Account
      • Validate OTP
      • Bin Info
      • BIN info V2
    • One-Click & Scheduled Payments
      • Request a recurring charge token
        POST
      • Create a recurring charge
        POST
      • Make an One-click payment
        POST
      • Update recurring charge card data
        PUT
      • Cancel a recurring charge
        DELETE
      • Update a recurring charge
        PATCH
      • Add a temporary charge or discount
        PUT
      • Authorize payments
        POST
      • Capture an authorized payment
        POST
      • Get recurring charge Info
        GET
    • Chargebacks
      • Query chargebacks
      • Request chargeback export
    • Transfer in
      • Get Bank List
      • Request a Transfer In token
      • Init Transaction
      • Get Status
    • Transfer out
      • Get Bank List
      • Get Bank List V2
      • Request a Transfer Out token
      • Init Transaction
      • Get Status
      • Balance for Payouts
    • CASH-IN
      • Request a cash in token
      • Init Transaction
      • Transaction Status
      • Delete a cash in transaction
      • Update a cash in transaction
    • Cash-out
      • Request a cash out token
      • Init Transaction
      • Transaction Status
      • Update a cash out transaction
      • Delete a cash out transaction
    • Smartlinks-v2
      • Create a Smartlink
      • Get a Smartlink
      • Update a Smartlink
      • Delete a smartlink
    • Analytics
      • Get transactions list v1
      • Get transactions list v2
    • Gateway-status
      • Get gateway status
      • Get platform status
    • Payment Credentials
      • Create a credential
      • Search credentials
      • Advanced search
      • Delete credential
      • Regenerate a credential
      • Activate or deactivate
      • Update credential
    • Payment Button
      • Create a payment button
    • Settlement
      • Query settlement
    • Subscription Transactions
      • Get subscription transactions
  • Kushki One
    • Cloud Services
      • Payment
        • Charge
        • Authorization (Pre-auth)
        • Capture
        • Re-authorization
        • Post-tip
        • Void
        • Refund
        • Abort
        • Transaction Search
      • Print
        • Create Print Job
        • Get Print Job Status
    • Local Services
      • Payment
        • Charge
        • Authorization (Pre-auth)
        • Capture
        • Re-authorization
        • Post-tip
        • Void
        • Refund
        • Abort
        • Transaction Search — Online
        • Transaction Search — Local
      • Print
        • Create Print Job
        • Get Print Job Status
        • Print Job Webhook (inbound — implemented by your POS)
  • API RAW CARD PRESENT PAYMENTS
    • Release Notes
    • Error Catalog
    • The Amount Object
    • Key Exchange Process
    • Test data
    • Card Information
      • Get BIN Info
      • Balance inquiries
      • BIN info V2
      • Request deferred options
    • One-time Payments
      • Single payment
    • Two-step Payments
      • Authorization and capture
    • Voids & Refunds
      • Void & Reverse
      • Refund a transaction
    • Query Transactions
      • Transaction Search
    • Webhooks
      • Introduction
      • Good Practices
      • Webhooks-Card Payments
      • Webhooks-Refunds
      • Check your webhooks
  • Appian - Submerchant Register
    • Submerchant Validation in Batch
    • Query submerchant status by requestId/submerchantId
    • Get submerchantIds
    • Get credentials for submerchants
  • Schemas
    • RequestBodies
      • one-and-two-step-payment
    • SubscriptionTransactionsResponse
    • Card
    • Channel
    • Amount-cash-in
    • ChargebackListResponse
    • SettlementDateRangeRequest
    • AmountWithTaxes
    • PrintJobRequest
    • card
    • SubscriptionTransaction
    • networkToken
    • ChargebackItem
    • SettlementTicketRequest
    • AmountCore
    • CommandText
    • amount
    • ErrorResponse
    • currency
    • webhooksItem
    • ErrorResponse400
    • SettlementResponse
    • ExtraTaxes
    • CommandColumns
    • extra_taxes
    • Amount
    • ErrorResponse401
    • SettlementRecord
    • ColumnItem
    • pos_details
    • extraTaxes
    • ErrorResponse403
    • TransactionResponse
    • CommandDivider
    • card_details
    • Deferred
    • Country
    • payment_method
    • ErrorResponse500
    • RawResponse
    • CommandFeed
    • enc_tlv
    • Metadata
    • CardData
    • CommandSpace
    • contact_details
    • ContactDetails
    • AmountWithTip
    • CommandCut
    • deferred
    • sub_merchant
    • documentType
    • Subscription
    • LinkFailure
    • CommandImage
    • metadata
    • orderDetails
    • Language
    • TransactionSearchRequest
    • CommandQR
    • Shipping Address
    • payment_submethod
    • CommandBarcode
    • Billing-Address
    • PrinterError
    • product
    • SubscriptionUpdate
    • PrintJobStatus
    • threeDomainSecure
    • SubscriptionAdjustmentRequest
    • PrintWebhookPayload
    • webhooks
    • headers
    • webhooksChargeback
    • citMit
    • network
    • binInfo
    • messageFields
    • UnexpectedErrorResponse
    • transactionType
    • ExternalReferenceId
    • ExternalSubscriptionId
BienvenidaPerú 🇵🇪México 🇲🇽Ecuador 🇪🇨Colombia 🇨🇴
Chile 🇨🇱
BienvenidaPerú 🇵🇪México 🇲🇽Ecuador 🇪🇨Colombia 🇨🇴
Chile 🇨🇱
  1. One-Click & Scheduled Payments

Make an One-click payment

POST
/subscriptions/v1/card/{subscriptionId}

This functionality is available for the following models:#

☑ Acquirer
☑ Aggregator
Make an One-click payment on an existing recurring charge identified by its subscriptionId that was created in the Create a recurring charge endpoint.

Do you have your own 3DS authentication engine?*#

Make sure you include the threeDomainSecure object in your request.

Deferred charges#

Deferred transactions vary depending on the affiliation model:

For Acquiring#

For deferred charges in Colombian merchants, you have to set the deferred object that includes the creditType, graceMonths, and months parameters.
In all countries, graceMonths must be sent with the value of 00.

Example: Credit Type 01 (Colombia's Standard Installments)#

  "deferred": {
    "graceMonths": "00",
    "creditType": "01",
    "months": 6
  }

For Aggregator model#

For deferred charges in Colombian merchants in aggregator model, you can send the number of installments in the months parameter.
"months": 3,

Important!#

In any case, you should consult the request deferred options method as these vary according to the BIN of the card.

Request

Path Params

Header Params

Body Params application/json

Examples

Responses

🟢201
application/json
Bodyapplication/json

🟠400
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location 'https://api-uat.kushkipagos.com/subscriptions/v1/card/' \
--header 'Private-Merchant-Id;' \
--header 'Content-Type: application/json' \
--data-raw '{
    "language": "es",
    "amount": {
        "subtotalIva": 15.16,
        "subtotalIva0": 0,
        "ice": 0,
        "iva": 1.82,
        "currency": "COP"
    },
    "metadata": {
        "customerId": "123"
    },
    "contactDetails": {
        "documentType": "CC",
        "documentNumber": "1009283738",
        "email": "user@example.com",
        "firstName": "John",
        "lastName": "Doe",
        "phoneNumber": "+593912345678"
    },
    "orderDetails": {
        "siteDomain": "tuebook.com",
        "shippingDetails": {
            "name": "John Doe",
            "phone": "+593912345678",
            "address": "Eloy Alfaro 139 y Catalina Aldaz",
            "city": "Bogotá",
            "region": "Cundinamarca",
            "country": "Colombia",
            "zipCode": "170402"
        },
        "billingDetails": {
            "name": "John Doe",
            "phone": "+593912345678",
            "address": "Eloy Alfaro 139 y Catalina Aldaz",
            "city": "Bogotá",
            "region": "Cundinamarca",
            "country": "Colombia",
            "zipCode": "170402"
        }
    },
    "productDetails": {
        "product": [
            {
                "id": "198952AB",
                "title": "eBook Digital Services",
                "price": 6990000,
                "sku": "10101042",
                "quantity": 1
            },
            {
                "id": "198953AB",
                "title": "eBook Virtual Selling",
                "price": 9990000,
                "sku": "004834GQ",
                "quantity": 1
            }
        ]
    },
    "fullResponse": "v2"
}'
Response Response Example
201 - One-click payment
{
    "ticketNumber": "124824724666494118",
    "transactionReference": "c897bafb-c78c-4cde-aa89-d44dd9b26ef7"
}
Modified at 2026-07-28 22:20:46
Previous
Create a recurring charge
Next
Update recurring charge card data
Built with